import {createElement} from "../../../_global/scripts/helpers";
import {createHeader} from "../../../components/header/HeaderComponent";
import {createPageDetails} from "../../../components/page-details/PageDetailsComponent";
import {createIntro} from "../../../sections/intro/IntroComponent";
import {createTeasersSection} from "../../../sections/teasers/TeasersComponent";
import {createFooter} from "../../../components/footer/FooterComponent";
import {createTopicTeasersSection} from "../../../sections/topic-teasers/TopicTeasersComponent";
import {createLinkCollection} from "../../../components/link-collection/LinkCollectionComponent";
import {createContact} from "../../../components/contact/ContactComponent";
import {createEventsSection} from "../../../sections/events/EventsComponent";
import {createFeature} from "../../../sections/feature/FeatureComponent";
import {createFlockler} from "../../../components/flockler/FlocklerComponent";

export const createTopicPage = ({

}) => {
  const page = createElement('div', ['page']);
  page.appendChild(createHeader({}));

  const wrapper = createElement('div', ['page-wrapper'], null, page);
  wrapper.appendChild(createPageDetails({}));
  wrapper.appendChild(createIntro({
    headline: 'Beratung und Service',
    kicker: null,
    copy: 'Wir beraten Unternehmen – ganz gleich, ob Sie Fragen zur Grün&shy;dung haben, Fördermittel beantragen oder expandieren möchten. Wir stehen Ihnen in allen Phasen der Unter&shy;nehmens&shy;entwick&shy;lung mit Rat und Tat zur Seite und sind Ihre erste Anlaufstelle. Verschaffen Sie sich einen Überblick über unsere Service- und Beratungs&shy;angebote!',
    capitalInitial: true,
  }));
  wrapper.appendChild(createTopicTeasersSection({maxItems: 3}));
  wrapper.appendChild(createTeasersSection({type: 'hero', maxItems: 2}));
  wrapper.appendChild(createFlockler({backgroundColor: false}));

  wrapper.appendChild(createFlockler({isCarousel: false}));
  wrapper.appendChild(createLinkCollection({headline: 'Meistgeklickt', addContainer: true, buttonText: null}));
  wrapper.appendChild(createTopicTeasersSection({type: 'topic-linklist'}));
  wrapper.appendChild(createTeasersSection({}));
  wrapper.appendChild(createEventsSection({}));
  wrapper.appendChild(createFeature({icon: null}));
  wrapper.appendChild(createContact({headline: 'Ich helfe Ihnen gerne weiter', contactCount: 1, addContainer: true}))

  page.appendChild(createFooter({}));

  return page;
}